function xdot = emsSS(t,x)
%% Einmassenschwinger Zustandsraumdarstellung
% xdot = einMassenSchwingerSS(t,x)
%
% Zustandsraummodell:
% x = [x1; x2]
% x1 = y;
% x2 = d/dt y
% d/dt x = A * x
%
% Numerische Methoden der Dynamik SS19
% Dr.-Ing. Florian Fleissner
%
% Institut f�r Technische und Numerische Mechanik
% Prof. Dr.-Ing. Prof. E.h. P. Eberhard
%
% Autor: Andreas Hofmann, M.Sc.


% Parameter
[m,k,d] = emsParam;

% Systemmatrix A
A = [  0     1  ;...
     -k/m  -d/m ];
% Ausgabe
xdot = A*x;

end