function X = RueckwaertsEinsetzen(R,B)
%% Rueckwaertseinsetzen vgl. A5.2
% X = RueckwaertsEinsetzen(R,B)
%
% Numerische Methoden der Dynamik - SS19
% Dr.-Ing. Pascal Ziegler
%
% Institut fuer Technische und Numerische Mechanik
% Prof. Dr.-Ing. Prof. E.h. P. Eberhard
%
% Autor: Andreas Hofmann, M.Sc.
%

%% 1. Untersuchung der uebergebenen Werte
dimR = size(R); % dimR = [nZeilen nSpalten]; R(n x n)
dimB = size(B); % dimC = [nZeilen qSpalten]; B(n x q)

if dimR(1) ~= dimR(2)
    error('Matrix R is not quadratic!')
elseif dimR(1) ~= dimB(1)
    error('Dimensions of R and B do not match')
end

n = dimR(1);
q = dimB(2);


%% Rueckwaertseinsetzen
X = NaN(n,q); % initialisieren der Loesung

for k = 1:1:q
    for i = n:-1:1        
        summe = 0;
        for j = (i+1):1:n
            help1 = myPrecision(R(i,j) * X(j,k)); % Rundende Dezimalarithmetik myPrecision()
            summe = myPrecision(summe + help1);
        end
        help2 = myPrecision(1/R(i,i));
        help3 = myPrecision(B(i,k) - summe);
        X(i,k) = myPrecision(help2 * help3);
    end
end
    

end