function X = VorwaertsEinsetzen(L,B)
%% Vorwaertseinsetzen vgl. A5.1
% X = VorwaertsEinsetzen(L,B)
%
% Numerische Methoden der Dynamik - SS19
% Dr.-Ing. Pascal Ziegler
%
% Institut fuer Technische und Numerische Mechanik
% Prof. Dr.-Ing. Prof. E.h. P. Eberhard
%
% Autor: Andreas Hofmann, M.Sc.
%

%% 1. Untersuchung der uebergebenen Werte
dimL = size(L); % dimL = [nZeilen nSpalten]; L(n x n)
dimB = size(B); % dimC = [nZeilen qSpalten]; B(n x q)

if dimL(1) ~= dimL(2)
    error('Matrix L is not quadratic!')
elseif dimL(1) ~= dimB(1)
    error('Dimensions of L and B do not match')
end

n = dimL(1);
q = dimB(2);


%% Rueckwaertseinsetzen
X = NaN(n,q); % initialisieren der Loesung

for k = 1:1:q
    for i = 1:1:n       
        summe = 0;
        for j = 1:1:(i-1)
            help1 = myPrecision(L(i,j) * X(j,k));
            summe = myPrecision(summe + help1);
        end
        help2 = myPrecision(1/L(i,i));
        help3 = myPrecision(B(i,k) - summe);        
        X(i,k) = myPrecision(help2 * help3);
    end
end
end